﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:1.9.0.77
//      SpecFlow Generator Version:1.9.0.0
//      Runtime Version:4.0.30319.18444
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace WSS.AAT.Scenarios.PosIntegration
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "1.9.0.77")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [NUnit.Framework.TestFixtureAttribute()]
    [NUnit.Framework.DescriptionAttribute("EventDiscounts")]
    public partial class EventDiscountsFeature
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
#line 1 "EventDiscounts.feature"
#line hidden
        
        [NUnit.Framework.TestFixtureSetUpAttribute()]
        public virtual void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "EventDiscounts", "  In order to process event discounts correctly\n  As a developer\n  I should be ab" +
                    "le to deal with different event discounts scenarios", ProgrammingLanguage.CSharp, ((string[])(null)));
            testRunner.OnFeatureStart(featureInfo);
        }
        
        [NUnit.Framework.TestFixtureTearDownAttribute()]
        public virtual void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        [NUnit.Framework.SetUpAttribute()]
        public virtual void TestInitialize()
        {
        }
        
        [NUnit.Framework.TearDownAttribute()]
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioSetup(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioStart(scenarioInfo);
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("DealGroup event discount applied once to a line")]
        [NUnit.Framework.CategoryAttribute("EventDiscounts")]
        public virtual void DealGroupEventDiscountAppliedOnceToALine()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("DealGroup event discount applied once to a line", new string[] {
                        "EventDiscounts"});
#line 8
this.ScenarioSetup(scenarioInfo);
#line 9
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 10
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 11
    testRunner.And("DealGroup event with code \'000111\' is applied once to first line with saving amou" +
                    "nt 1.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 12
    testRunner.And("Was paid by cash for 168.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 13
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 14
    testRunner.Then("\'DealGroup\' event code is \'000111\' for SKU \'500300\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 15
    testRunner.And("\'DealGroup\' event saving is 1.00 pounds for SKU \'500300\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 16
    testRunner.And("Event saving for transaction is 1.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 17
    testRunner.And("\'DealGroup\' event with saving is added to db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Multibuy event discount applied once to a line")]
        public virtual void MultibuyEventDiscountAppliedOnceToALine()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Multibuy event discount applied once to a line", ((string[])(null)));
#line 19
    this.ScenarioSetup(scenarioInfo);
#line 20
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 21
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 22
    testRunner.And("Multibuy event with code \'000222\' is applied once to first line with saving amoun" +
                    "t 2.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 23
    testRunner.And("Was paid by cash for 167.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 24
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 25
    testRunner.Then("\'Multibuy\' event code is \'000222\' for SKU \'500300\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 26
    testRunner.And("\'Multibuy\' event saving is 2.00 pounds for SKU \'500300\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 27
    testRunner.And("Event saving for transaction is 2.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 28
    testRunner.And("\'Multibuy\' event with saving is added to db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Quantity Break event discount applied once to a line")]
        public virtual void QuantityBreakEventDiscountAppliedOnceToALine()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Quantity Break event discount applied once to a line", ((string[])(null)));
#line 30
    this.ScenarioSetup(scenarioInfo);
#line 31
    testRunner.Given("There was a parameter in db containing Quantity Break event discount code \'006666" +
                    "\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 32
    testRunner.And("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 33
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 34
    testRunner.And("QuantityBreak event is applied once to first line with saving amount 3.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 35
    testRunner.And("Was paid by cash for 166.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 36
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 37
    testRunner.Then("\'QuantityBreak\' event code is \'006666\' for SKU \'500300\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 38
    testRunner.And("\'QuantityBreak\' event saving is 3.00 pounds for SKU \'500300\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 39
    testRunner.And("Event saving for transaction is 3.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Event discount applied twice to a line")]
        public virtual void EventDiscountAppliedTwiceToALine()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Event discount applied twice to a line", ((string[])(null)));
#line 41
    this.ScenarioSetup(scenarioInfo);
#line 42
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 43
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 44
    testRunner.And("DealGroup event with code \'000111\' is applied once to first line with saving amou" +
                    "nt for the first hit of 1.25 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 45
    testRunner.And("DealGroup event with code \'000111\' is applied once to first line with saving amou" +
                    "nt for the first hit of 0.75 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 46
    testRunner.And("Was paid by cash for 167.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 47
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 48
    testRunner.Then("2 event records are added to db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 49
    testRunner.And("event record with sequence number \'000001\' contains amount 1.25 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 50
    testRunner.And("event record with sequence number \'000002\' contains amount 0.75 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Several event discounts of the same type applied to a line")]
        public virtual void SeveralEventDiscountsOfTheSameTypeAppliedToALine()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Several event discounts of the same type applied to a line", ((string[])(null)));
#line 52
    this.ScenarioSetup(scenarioInfo);
#line 53
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 54
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 55
    testRunner.And("DealGroup event with code \'000587\' is applied once to first line with saving amou" +
                    "nt for the first hit of 1.25 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 56
    testRunner.And("DealGroup event with code \'000588\' is applied once to first line with saving amou" +
                    "nt for the first hit of 0.75 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 57
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 58
    testRunner.Then("\'DealGroup\' event code is \'000588\' for SKU \'500300\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 59
    testRunner.And("\'DealGroup\' event saving is 2.00 pounds for SKU \'500300\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 60
    testRunner.And("Event saving for transaction is 2.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 61
    testRunner.And("2 event records are added to db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Several event discounts of different types applied to a line")]
        public virtual void SeveralEventDiscountsOfDifferentTypesAppliedToALine()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Several event discounts of different types applied to a line", ((string[])(null)));
#line 63
    this.ScenarioSetup(scenarioInfo);
#line 64
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 65
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 66
    testRunner.And("HierarchySpend event with code \'000111\' is applied once to first line with saving" +
                    " amount 1.25 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 67
    testRunner.And("Multibuy event with code \'000222\' is applied once to first line with saving amoun" +
                    "t 0.75 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 68
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 69
    testRunner.Then("Event saving for transaction is 2.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 70
    testRunner.And("event record with sequence number \'000001\' has type \'HierarchySpend\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 71
    testRunner.And("event record with sequence number \'000002\' has type \'Multibuy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Event discount applied to several lines")]
        public virtual void EventDiscountAppliedToSeveralLines()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Event discount applied to several lines", ((string[])(null)));
#line 73
    this.ScenarioSetup(scenarioInfo);
#line 74
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 75
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 76
    testRunner.And("1 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 77
    testRunner.And("Multibuy event with code \'000111\' is applied once to 500300 SKU with saving amoun" +
                    "t 1.25 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 78
    testRunner.And("Multibuy event with code \'000111\' is applied once to 100006 SKU with saving amoun" +
                    "t 1.25 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 79
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 80
    testRunner.Then("2 event records are added to db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 81
    testRunner.And("Both event records have sequence number \'000001\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Event discount triggered by coupon")]
        public virtual void EventDiscountTriggeredByCoupon()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Event discount triggered by coupon", ((string[])(null)));
#line 83
    this.ScenarioSetup(scenarioInfo);
#line 84
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 85
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 86
    testRunner.And("1 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 87
    testRunner.And("Multibuy event with code \'000111\' is applied once to 500300 SKU with saving amoun" +
                    "t 1.25 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 88
    testRunner.And("Multibuy event with code \'000111\' is applied once to 100006 SKU with saving amoun" +
                    "t 1.25 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 89
    testRunner.And("Applied \'000111\' event was triggered by coupon with barcode \'00000153333650441\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 90
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 91
    testRunner.Then("1 Coupon record is added to db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 92
    testRunner.And("Coupon record has sequence number \'0001\' and coupon id \'0000015\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 93
    testRunner.And("The Coupon record Marketing Reference Number is \'3333\' and Coupon Serial Number i" +
                    "s 650441", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Event discount and price override discount were applied to a line")]
        public virtual void EventDiscountAndPriceOverrideDiscountWereAppliedToALine()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Event discount and price override discount were applied to a line", ((string[])(null)));
#line 95
    this.ScenarioSetup(scenarioInfo);
#line 96
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 97
    testRunner.And("3 SKU 500300 was sold with VAT rate 20", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 98
    testRunner.And("Price for SKU 500300 was overriden by 30.00 pounds with reason code Managers Disc" +
                    "retion", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 99
    testRunner.And("DealGroup event with code \'000111\' is applied once to first line with saving amou" +
                    "nt 2.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 100
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 101
    testRunner.Then("There is line for SKU 500300 with price equal 30.00, amount equal 90.00, discount" +
                    " equal 0.00, value added tax equal 14.67", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 102
    testRunner.And("Merchandise amount is equal 90.00, total amount is equal 88.00, total tax amount " +
                    "is equal 14.67, total discount amount is equal to 2.00, total value added amount" +
                    " of rate of 20 persents is equal 14.67", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 103
    testRunner.And("Initial price of SKU 500300 is equal to db price", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("DealGroup and Multibuy event discounts and price override discount were applied t" +
            "o a line")]
        public virtual void DealGroupAndMultibuyEventDiscountsAndPriceOverrideDiscountWereAppliedToALine()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("DealGroup and Multibuy event discounts and price override discount were applied t" +
                    "o a line", ((string[])(null)));
#line 105
    this.ScenarioSetup(scenarioInfo);
#line 106
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 107
    testRunner.And("3 SKU 500300 was sold with VAT rate 20", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 108
    testRunner.And("Price for SKU 500300 was overriden by 30.00 pounds with reason code Managers Disc" +
                    "retion", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 109
    testRunner.And("DealGroup event with code \'000111\' is applied once to first line with saving amou" +
                    "nt 2.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 110
    testRunner.And("Multibuy event with code \'000222\' is applied once to first line with saving amoun" +
                    "t 1.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 111
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 112
    testRunner.Then("There is line for SKU 500300 with price equal 30.00, amount equal 90.00, discount" +
                    " equal 0.00, value added tax equal 14.50", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 113
    testRunner.And("Merchandise amount is equal 90.00, total amount is equal 87.00, total tax amount " +
                    "is equal 14.50, total discount amount is equal to 3.00, total value added amount" +
                    " of rate of 20 persents is equal 14.50", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 114
    testRunner.And("Initial price of SKU 500300 is equal to db price", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Event discount and employee discount were applied to a line")]
        public virtual void EventDiscountAndEmployeeDiscountWereAppliedToALine()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Event discount and employee discount were applied to a line", ((string[])(null)));
#line 116
    this.ScenarioSetup(scenarioInfo);
#line 117
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 118
    testRunner.And("3 SKU 500300 was sold with VAT rate 20", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 119
    testRunner.And("Collegue Discount amount for SKUs 500300 is 19.78", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 120
    testRunner.And("DealGroup event with code \'000111\' is applied once to first line with saving amou" +
                    "nt 3.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 121
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 122
    testRunner.Then("There is line for SKU 500300 with price equal 27.18, amount equal 82.13, discount" +
                    " equal 6.59, value added tax equal 13.19", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 123
    testRunner.And("Merchandise amount is equal 101.91, total amount is equal 79.13, total tax amount" +
                    " is equal 13.19, total discount amount is equal to 22.78, total value added amou" +
                    "nt of rate of 20 persents is equal 13.19", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 124
    testRunner.And("Initial price of SKU 500300 is equal to db price", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Deal group and multibuy event discounts and employee discount were applied to a l" +
            "ine")]
        public virtual void DealGroupAndMultibuyEventDiscountsAndEmployeeDiscountWereAppliedToALine()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Deal group and multibuy event discounts and employee discount were applied to a l" +
                    "ine", ((string[])(null)));
#line 126
    this.ScenarioSetup(scenarioInfo);
#line 127
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 128
    testRunner.And("2 SKU 500300 was sold with VAT rate 20", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 129
    testRunner.And("Collegue Discount amount for SKUs 500300 is 6.79", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 130
    testRunner.And("DealGroup event with code \'000111\' is applied once to first line with saving amou" +
                    "nt 2.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 131
    testRunner.And("Multibuy event with code \'000222\' is applied once to first line with saving amoun" +
                    "t 1.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 132
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 133
    testRunner.Then("There is line for SKU 500300 with price equal 30.57, amount equal 61.45, discount" +
                    " equal 3.39, value added tax equal 9.74", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 134
    testRunner.And("Merchandise amount is equal 67.94, total amount is equal 58.15, total tax amount " +
                    "is equal 9.74, total discount amount is equal to 9.79, total value added amount " +
                    "of rate of 20 persents is equal 9.74", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 135
    testRunner.And("Initial price of SKU 500300 is equal to db price", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 136
    testRunner.And("There is a \'HierarchySpend\' event discount with amount 0.01 and code from databas" +
                    "e for SKU \'500300\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 137
    testRunner.And("\'DealGroup\' event code is \'000111\' for SKU \'500300\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Event discount and employee discount and price override were applied to a line")]
        public virtual void EventDiscountAndEmployeeDiscountAndPriceOverrideWereAppliedToALine()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Event discount and employee discount and price override were applied to a line", ((string[])(null)));
#line 139
    this.ScenarioSetup(scenarioInfo);
#line 140
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 141
    testRunner.And("3 SKU 500300 was sold with VAT rate 20", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 142
    testRunner.And("Collegue Discount amount for SKUs 500300 is 17.61", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 143
    testRunner.And("Price for SKU 500300 was overriden by 30.00 pounds with reason code Managers Disc" +
                    "retion", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 144
    testRunner.And("DealGroup event with code \'000111\' is applied once to first line with saving amou" +
                    "nt 2.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 145
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 146
    testRunner.Then("There is line for SKU 500300 with price equal 24.00, amount equal 72.4, discount " +
                    "equal 5.87, value added tax equal 11.73", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 147
    testRunner.And("Merchandise amount is equal 90.00, total amount is equal 70.39, total tax amount " +
                    "is equal 11.73, total discount amount is equal to 19.61, total value added amoun" +
                    "t of rate of 20 persents is equal 11.73", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 148
    testRunner.And("Initial price of SKU 500300 is equal to db price", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("DealGroup and Multibuy event discount and employee discount and price override we" +
            "re applied to a line")]
        public virtual void DealGroupAndMultibuyEventDiscountAndEmployeeDiscountAndPriceOverrideWereAppliedToALine()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("DealGroup and Multibuy event discount and employee discount and price override we" +
                    "re applied to a line", ((string[])(null)));
#line 150
    this.ScenarioSetup(scenarioInfo);
#line 151
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 152
    testRunner.And("3 SKU 500300 was sold with VAT rate 20", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 153
    testRunner.And("Collegue Discount amount for SKUs 500300 is 17.4", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 154
    testRunner.And("Price for SKU 500300 was overriden by 30.00 pounds with reason code Managers Disc" +
                    "retion", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 155
    testRunner.And("DealGroup event with code \'000111\' is applied once to first line with saving amou" +
                    "nt 2.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 156
    testRunner.And("Multibuy event with code \'000222\' is applied once to first line with saving amoun" +
                    "t 1.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 157
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 158
    testRunner.Then("There is line for SKU 500300 with price equal 24.00, amount equal 72.6, discount " +
                    "equal 5.8, value added tax equal 11.60", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 159
    testRunner.And("Merchandise amount is equal 90.00, total amount is equal 69.6, total tax amount i" +
                    "s equal 11.60, total discount amount is equal to 20.4, total value added amount " +
                    "of rate of 20 persents is equal 11.60", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 160
    testRunner.And("Initial price of SKU 500300 is equal to db price", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Employee discount and price override were applied to a line")]
        public virtual void EmployeeDiscountAndPriceOverrideWereAppliedToALine()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Employee discount and price override were applied to a line", ((string[])(null)));
#line 162
    this.ScenarioSetup(scenarioInfo);
#line 163
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 164
    testRunner.And("3 SKU 500300 was sold with VAT rate 20", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 165
    testRunner.And("Collegue Discount amount for SKUs 500300 is 18.00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 166
    testRunner.And("Price for SKU 500300 was overriden by 30.00 pounds with reason code Managers Disc" +
                    "retion", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 167
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 168
    testRunner.Then("There is line for SKU 500300 with price equal 24.00, amount equal 72.00, discount" +
                    " equal 6.00, value added tax equal 12", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 169
    testRunner.And("Merchandise amount is equal 90.00, total amount is equal 72.00, total tax amount " +
                    "is equal 12, total discount amount is equal to 18.00, total value added amount o" +
                    "f rate of 20 persents is equal 12", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 170
    testRunner.And("Initial price of SKU 500300 is equal to db price", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
    }
}
#pragma warning restore
#endregion
